Subject: Superfluous brackets in sysext sysexts "viewpage", "wizard_crpages" and "wizard_sortpages" after
namespaces move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"|[$table]['ctrl']['sortby") {

Associated revisions

Revision cfbae0f8 - 2012-09-17 21:16 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "viewpage",

"wizard_crpages" and "wizard_sortpages".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ib5818e68f9e21164de8e42da73686¢f1327410a9
Resolves: #40974

Related: #40095

Reviewed-on: http:/review.typo3.org/14633

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 22:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14633

#2 - 2012-09-17 21:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved

2015-08-04

1/2



http://review.typo3.org/14633
http://review.typo3.org/14633

- % Done changed from 0 to 100

Applied in changeset commit:cfbae0f847e0341b1a9b190d73b38cd45{591bb6.
